Download it now!
Bug 117437 - Console error message about ShowInlineTooltips
Summary: Console error message about ShowInlineTooltips
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-05 08:34 UTC by Julien Nabet
Modified: 2018-05-09 14:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2018-05-05 08:34:23 UTC
Description:
On pc Debian x86-64 with master sources updated 2018-05-04, I noticed these logs on console when starting Writer:
warn:unotools.config:12543:12543:unotools/source/config/configitem.cxx:426: ignoring XHierarchicalNameAccess to /org.openoffice.Office.Writer/Content/Display/ShowInlineTooltips Exception: N3com3sun4star3uno9ExceptionE msg: Display/ShowInlineTooltips
warn:unotools.config:12543:12543:unotools/source/config/configitem.cxx:426: ignoring XHierarchicalNameAccess to /org.openoffice.Office.Writer/Content/Display/ShowInlineTooltips Exception: N3com3sun4star3uno9ExceptionE msg: Display/ShowInlineTooltips


Steps to Reproduce:
1. Open Writer


Actual Results:  
On console logs:
warn:unotools.config:12543:12543:unotools/source/config/configitem.cxx:426: ignoring XHierarchicalNameAccess to /org.openoffice.Office.Writer/Content/Display/ShowInlineTooltips Exception: N3com3sun4star3uno9ExceptionE msg: Display/ShowInlineTooltips
warn:unotools.config:12543:12543:unotools/source/config/configitem.cxx:426: ignoring XHierarchicalNameAccess to /org.openoffice.Office.Writer/Content/Display/ShowInlineTooltips Exception: N3com3sun4star3uno9ExceptionE msg: Display/ShowInlineTooltips

Expected Results:
These warning shouldn't appear


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Julien Nabet 2018-05-05 08:38:03 UTC
Heiko: noticing https://cgit.freedesktop.org/libreoffice/core/commit/?id=8b34efff7a7ed13553dfe87cd2413d01c76dec1d, thought you might be interested in this one
Comment 2 Heiko Tietze 2018-05-05 08:43:37 UTC
Right, have seen it but forgot to investigate. Obviously I forgot to add something about the new UNO command. But what?

(Taking but need expert help)
Comment 3 Julien Nabet 2018-05-05 09:16:19 UTC
Comparing "ShowInlineTooltips" and "ShowContentTips", I noticed these:
1) declaration in offapi.idl for second one
2) use in sfx2/source/appl/newhelp.cxx for second one

I also compared "HANDLE_VIEWSET_SHOW_CONTENT_TIPS" and "HANDLE_VIEWSET_INLINECHANGES_TIPS"
I noticed second one isn't used in SwXViewSettings::_getSingleValue from sw/source/uibase/uno/unomod.cxx

But maybe all these are unrelated or not relevant.
Comment 4 Stephan Bergmann 2018-05-08 08:36:13 UTC
<https://cgit.freedesktop.org/libreoffice/core/commit/?id=8b34efff7a7ed13553dfe87cd2413d01c76dec1d> "tdf#114523 Make inline tooltips for changes optional" adds "Display/ShowInlineTooltips" to aPropNames in SwContentViewConfig::GetPropertyNames (sw/source/uibase/config/usrpref.cxx), implying that there should be a configuration property /org.openoffice.Office.Writer/Content/Display/ShowInlineTooltips.  But no such property is declared in officecfg/registry/schema/org/openoffice/Office/Writer.xcs.
Comment 5 Commit Notification 2018-05-09 06:53:52 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77ae49e2e22bc4094f26932286404e50ec1c9c36

tdf#117437 - Console error message about ShowInlineTooltips

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2018-05-09 08:03:58 UTC
(In reply to Stephan Bergmann from comment #4)
> But no such property is declared in
> officecfg/registry/schema/org/openoffice/Office/Writer.xcs.

Thank you!
Comment 7 Julien Nabet 2018-05-09 14:46:08 UTC
Thank you Heiko for the patch!